curl --request POST \
--url https://api.totoy.ai/v1/knowledge-bases/{knowledge_base_id}/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_id": "src_oXiYDg8QOc9JsOk86idRXiywD"
}
'{
"source_id": "src_oXiYDg8QOc9JsOk86idRXiywD",
"source_type": "document",
"bytes": 1234567,
"created_at": "2024-03-01T00:00:00Z",
"updated_at": "2024-03-01T00:00:00Z",
"title": "Totoy Company Overview",
"document_file_name": "totoy-company-overview.pdf",
"backlink": "https://www.totoy.ai/totoy-company-overview.pdf",
"valid_from": "2024-01-01T00:00:00Z",
"valid_until": "2026-12-31T23:59:59Z",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9",
"custom_metadata": {
"internal_tag": "general_documents"
},
"knowledge_base_id": "kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"status": "completed"
}Adds Sources to a Knowledge Base.
Links one or multiple Sources to the Knowledge Base as new Knowledge Base Sources.
curl --request POST \
--url https://api.totoy.ai/v1/knowledge-bases/{knowledge_base_id}/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_id": "src_oXiYDg8QOc9JsOk86idRXiywD"
}
'{
"source_id": "src_oXiYDg8QOc9JsOk86idRXiywD",
"source_type": "document",
"bytes": 1234567,
"created_at": "2024-03-01T00:00:00Z",
"updated_at": "2024-03-01T00:00:00Z",
"title": "Totoy Company Overview",
"document_file_name": "totoy-company-overview.pdf",
"backlink": "https://www.totoy.ai/totoy-company-overview.pdf",
"valid_from": "2024-01-01T00:00:00Z",
"valid_until": "2026-12-31T23:59:59Z",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9",
"custom_metadata": {
"internal_tag": "general_documents"
},
"knowledge_base_id": "kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"status": "completed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for a Knowledge Base.
28^kb_[a-zA-Z0-9]{25}$Body
- AddKnowledgeBaseSourceRequest
- AddKnowledgeBaseSourcesRequest
A source_id of a Source to add as a Knowledge Base Source. Only Sources that have the same project_id as the Knowledge Base can be added as Knowledge Base Sources.
29^src_[a-zA-Z0-9]{25}$"src_oXiYDg8QOc9JsOk86idRXiywD"
Response
OK
- KnowledgeBaseSource
- KnowledgeBaseSourcesList
The Knowledge Base Source represents a link to a Source (.pdf, .jpg, .png or plain-text) that has been added to a Knowledge Base, so it can be retrieved as context for a Knowledge Base Chat.
Unique identifier for the Source.
29^src_[a-zA-Z0-9]{25}$"src_oXiYDg8QOc9JsOk86idRXiywD"
Type for this source (document or text).
document, text "document"
Size of the document file or text, in bytes.
1234567
Date-time for when the Source was created, in ISO 8601 format.
"2024-03-01T00:00:00Z"
Date-time for when the Source was last modified, in ISO 8601 format.
"2024-03-01T00:00:00Z"
The unique identifier of the project this Source is assigned to. Sources can only be used by resources with the same project_id.
28^pj_[a-zA-Z0-9]{25}$"pj_avX7imfLaPcQnv5ckvGlOEBA9"
The unique identifier of the Knowledge Base that the Knowledge Base Source is associated with.
28^kb_[a-zA-Z0-9]{25}$"kb_feMfJbeqbAEj4u8K5HqmKpUbY"
Title of the document or text.
512"Totoy Company Overview"
The file name of a Source document.
255"totoy-company-overview.pdf"
An external url to the Source that can be used by clients to link back to the original document or text (i.e. a web page containing that text).
512"https://www.totoy.ai/totoy-company-overview.pdf"
From what time the Source can be used by a Knowledge Base or an Explanation. If no valid_from is set, the Source is valid from the time it is added to Sources.
"2024-01-01T00:00:00Z"
Until when the Source can be used by a Knowledge Base or an Explanation. If no valid_until is set, the Source is valid until it is removed from Sources.
"2026-12-31T23:59:59Z"
Custom optional metadata for a Source provided by a client. Up to 10 key-value pairs.
{ "internal_tag": "general_documents" }
List of Knowledge Base identifiers where this Source is used.
150029^kb_[a-zA-Z0-9]{25}$[
"kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"kb_7eMfJbeqbAEj4u8K5HqmKpUbY"
]
The indexing status of the Knowledge Base Source. The status completed indicates that the source is ready for use.
in_progress, completed, failed "completed"
The number of pages of the Document Source. The pages parameter is only available for Document Sources.
27